/* \file exp.h
 * \brief: header file for contour (argus type, files in .exp extension) operations
 */


#ifndef _EXP_H_
#define _EXP_H_

#include "../../classes/objects/objects.h"
#include "../../toolkits/toolkits.h"

int IsInPoly(Vector* in,double* xc,double* yc,int numvertices,double* x,double* y,int i0,int i1, int edgevalue);
int IsOutsidePoly(Vector* in,double* xc,double* yc,int numvertices,double* x,double* y,int i0,int i1, int edgevalue);
int IsInPolySerial(double* in,double* xc,double* yc,int numvertices,double* x,double* y,int nods, int edgevalue);
int DomainOutlineWrite(int nprof,int* profnvertices,double** pprofx,double** pprofy,bool* closed,char* domainname);
int pnpoly(int npol, double *xp, double *yp, double x, double y, int edgevalue);

int      DomainOutlineRead(int* pnprof,int** pprofnvertices,double*** ppprofx,double*** ppprofy,bool** pclosed,char* domainname);
DataSet* DomainOutlineRead(char* domainname);


#endif
